# Uses of Interface
java.awt.KeyEventDispatcher

Packages that use KeyEventDispatcher
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of KeyEventDispatcher in java.awt

Classes in java.awt that implement KeyEventDispatcher
Modifier and Type
Class
Description
`class`
`DefaultKeyboardFocusManager`
The default KeyboardFocusManager for AWT applications.
`class`
`KeyboardFocusManager`
The KeyboardFocusManager is responsible for managing the active and focused Windows, and the current focus owner.
Methods in java.awt that return types with arguments of type KeyEventDispatcher
Modifier and Type
Method
Description
`protected List<KeyEventDispatcher>`
KeyboardFocusManager.`getKeyEventDispatchers()`
Returns this KeyboardFocusManager's KeyEventDispatcher chain as a List.
Methods in java.awt with parameters of type KeyEventDispatcher
Modifier and Type
Method
Description
`void`
KeyboardFocusManager.`addKeyEventDispatcher​(KeyEventDispatcher dispatcher)`
Adds a KeyEventDispatcher to this KeyboardFocusManager's dispatcher chain.
`void`
KeyboardFocusManager.`removeKeyEventDispatcher​(KeyEventDispatcher dispatcher)`
Removes a KeyEventDispatcher which was previously added to this KeyboardFocusManager's dispatcher chain.

## Uses of KeyEventDispatcher in javax.swing

Classes in javax.swing that implement KeyEventDispatcher
Modifier and Type
Class
Description
`class`
`DefaultFocusManager`
This class has been obsoleted by the 1.4 focus APIs.
`class`
`FocusManager`
This class has been obsoleted by the 1.4 focus APIs.